import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import cx from 'classnames';
import * as ReactSticky from 'react-stickup';
var BASE_CLASS = 'sui-BehaviorSticky';
var CLASS_ANIMATE = BASE_CLASS + "--animate";
var BehaviorStickyProvider = ReactSticky.StickyProvider; // eslint-disable-next-line react/prop-types

var BehaviorSticky = function BehaviorSticky(_ref) {
  var children = _ref.children,
      animate = _ref.animate,
      props = _objectWithoutPropertiesLoose(_ref, ["children", "animate"]);

  return React.createElement(ReactSticky.Sticky, Object.assign({
    className: BASE_CLASS
  }, props), function (_ref2) {
    var _cx;

    var isSticky = _ref2.isSticky;
    return React.createElement("div", {
      className: cx((_cx = {}, _cx[CLASS_ANIMATE] = isSticky && animate, _cx))
    }, children);
  });
};

BehaviorSticky.displayName = 'BehaviorSticky';
export default BehaviorSticky;
export { BehaviorStickyProvider };